// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.28.1
// 	protoc        v3.18.1
// source: queues/queues_service.proto

package queues

import (
	data "gitlab.com/skllzz/jmot/gojmot-client/pb/keeper/data"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// запрос на чтение данных из очереди
type PullRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// имя очереди
	QueuesName string `protobuf:"bytes,1,opt,name=queues_name,json=queuesName,proto3" json:"queues_name,omitempty"`
	// достать из очереди элементы удовлетворяющие условию ( range.min <= pull_millis < range.max )
	Range *data.EpochRange `protobuf:"bytes,2,opt,name=range,proto3" json:"range,omitempty"`
	// ожидание сигнала появления новых элементов в очереди перед возвратом из метода
	WaitNewBeforeReturn bool `protobuf:"varint,3,opt,name=wait_new_before_return,json=waitNewBeforeReturn,proto3" json:"wait_new_before_return,omitempty"`
	// точность отслеживания pull_millis, если 0 то использовать значение сервера по умолчанию, имеет смысл если wait_new_before_return=true
	ResolutionSeconds int32 `protobuf:"varint,4,opt,name=resolution_seconds,json=resolutionSeconds,proto3" json:"resolution_seconds,omitempty"`
	// максимальное число элементов (0 - не ограничено)
	Limit int32 `protobuf:"varint,5,opt,name=limit,proto3" json:"limit,omitempty"`
}

func (x *PullRequest) Reset() {
	*x = PullRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_queues_queues_service_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *PullRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*PullRequest) ProtoMessage() {}

func (x *PullRequest) ProtoReflect() protoreflect.Message {
	mi := &file_queues_queues_service_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use PullRequest.ProtoReflect.Descriptor instead.
func (*PullRequest) Descriptor() ([]byte, []int) {
	return file_queues_queues_service_proto_rawDescGZIP(), []int{0}
}

func (x *PullRequest) GetQueuesName() string {
	if x != nil {
		return x.QueuesName
	}
	return ""
}

func (x *PullRequest) GetRange() *data.EpochRange {
	if x != nil {
		return x.Range
	}
	return nil
}

func (x *PullRequest) GetWaitNewBeforeReturn() bool {
	if x != nil {
		return x.WaitNewBeforeReturn
	}
	return false
}

func (x *PullRequest) GetResolutionSeconds() int32 {
	if x != nil {
		return x.ResolutionSeconds
	}
	return 0
}

func (x *PullRequest) GetLimit() int32 {
	if x != nil {
		return x.Limit
	}
	return 0
}

// запрос на добавление данных в очередь
type PushRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// имя очереди
	QueuesName string `protobuf:"bytes,1,opt,name=queues_name,json=queuesName,proto3" json:"queues_name,omitempty"`
	// добавляемый или обновляемый элемент
	Item *data.Item `protobuf:"bytes,2,opt,name=item,proto3" json:"item,omitempty"`
	// время в epoch millis до которого элемент следует придержать в очереди (0 если без задержки)
	PullMillis int64 `protobuf:"varint,3,opt,name=pull_millis,json=pullMillis,proto3" json:"pull_millis,omitempty"`
	// добавлять только в случае если такой записи нет
	IfNotExists bool `protobuf:"varint,4,opt,name=if_not_exists,json=ifNotExists,proto3" json:"if_not_exists,omitempty"`
}

func (x *PushRequest) Reset() {
	*x = PushRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_queues_queues_service_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *PushRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*PushRequest) ProtoMessage() {}

func (x *PushRequest) ProtoReflect() protoreflect.Message {
	mi := &file_queues_queues_service_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use PushRequest.ProtoReflect.Descriptor instead.
func (*PushRequest) Descriptor() ([]byte, []int) {
	return file_queues_queues_service_proto_rawDescGZIP(), []int{1}
}

func (x *PushRequest) GetQueuesName() string {
	if x != nil {
		return x.QueuesName
	}
	return ""
}

func (x *PushRequest) GetItem() *data.Item {
	if x != nil {
		return x.Item
	}
	return nil
}

func (x *PushRequest) GetPullMillis() int64 {
	if x != nil {
		return x.PullMillis
	}
	return 0
}

func (x *PushRequest) GetIfNotExists() bool {
	if x != nil {
		return x.IfNotExists
	}
	return false
}

// запрос на удаление данных из очереди
type DeleteRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// имя очереди
	QueuesName string `protobuf:"bytes,1,opt,name=queues_name,json=queuesName,proto3" json:"queues_name,omitempty"`
	// удаляемый элемент очереди
	Item *data.Item `protobuf:"bytes,2,opt,name=item,proto3" json:"item,omitempty"`
}

func (x *DeleteRequest) Reset() {
	*x = DeleteRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_queues_queues_service_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DeleteRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DeleteRequest) ProtoMessage() {}

func (x *DeleteRequest) ProtoReflect() protoreflect.Message {
	mi := &file_queues_queues_service_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DeleteRequest.ProtoReflect.Descriptor instead.
func (*DeleteRequest) Descriptor() ([]byte, []int) {
	return file_queues_queues_service_proto_rawDescGZIP(), []int{2}
}

func (x *DeleteRequest) GetQueuesName() string {
	if x != nil {
		return x.QueuesName
	}
	return ""
}

func (x *DeleteRequest) GetItem() *data.Item {
	if x != nil {
		return x.Item
	}
	return nil
}

var File_queues_queues_service_proto protoreflect.FileDescriptor

var file_queues_queues_service_proto_rawDesc = []byte{
	0x0a, 0x1b, 0x71, 0x75, 0x65, 0x75, 0x65, 0x73, 0x2f, 0x71, 0x75, 0x65, 0x75, 0x65, 0x73, 0x5f,
	0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x06, 0x71,
	0x75, 0x65, 0x75, 0x65, 0x73, 0x1a, 0x0f, 0x64, 0x61, 0x74, 0x61, 0x2f, 0x69, 0x74, 0x65, 0x6d,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0xd0, 0x01, 0x0a, 0x0b, 0x50, 0x75, 0x6c, 0x6c, 0x52,
	0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x1f, 0x0a, 0x0b, 0x71, 0x75, 0x65, 0x75, 0x65, 0x73,
	0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0a, 0x71, 0x75, 0x65,
	0x75, 0x65, 0x73, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x26, 0x0a, 0x05, 0x72, 0x61, 0x6e, 0x67, 0x65,
	0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x10, 0x2e, 0x64, 0x61, 0x74, 0x61, 0x2e, 0x45, 0x70,
	0x6f, 0x63, 0x68, 0x52, 0x61, 0x6e, 0x67, 0x65, 0x52, 0x05, 0x72, 0x61, 0x6e, 0x67, 0x65, 0x12,
	0x33, 0x0a, 0x16, 0x77, 0x61, 0x69, 0x74, 0x5f, 0x6e, 0x65, 0x77, 0x5f, 0x62, 0x65, 0x66, 0x6f,
	0x72, 0x65, 0x5f, 0x72, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x18, 0x03, 0x20, 0x01, 0x28, 0x08, 0x52,
	0x13, 0x77, 0x61, 0x69, 0x74, 0x4e, 0x65, 0x77, 0x42, 0x65, 0x66, 0x6f, 0x72, 0x65, 0x52, 0x65,
	0x74, 0x75, 0x72, 0x6e, 0x12, 0x2d, 0x0a, 0x12, 0x72, 0x65, 0x73, 0x6f, 0x6c, 0x75, 0x74, 0x69,
	0x6f, 0x6e, 0x5f, 0x73, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x73, 0x18, 0x04, 0x20, 0x01, 0x28, 0x05,
	0x52, 0x11, 0x72, 0x65, 0x73, 0x6f, 0x6c, 0x75, 0x74, 0x69, 0x6f, 0x6e, 0x53, 0x65, 0x63, 0x6f,
	0x6e, 0x64, 0x73, 0x12, 0x14, 0x0a, 0x05, 0x6c, 0x69, 0x6d, 0x69, 0x74, 0x18, 0x05, 0x20, 0x01,
	0x28, 0x05, 0x52, 0x05, 0x6c, 0x69, 0x6d, 0x69, 0x74, 0x22, 0x93, 0x01, 0x0a, 0x0b, 0x50, 0x75,
	0x73, 0x68, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x1f, 0x0a, 0x0b, 0x71, 0x75, 0x65,
	0x75, 0x65, 0x73, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0a,
	0x71, 0x75, 0x65, 0x75, 0x65, 0x73, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x1e, 0x0a, 0x04, 0x69, 0x74,
	0x65, 0x6d, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x0a, 0x2e, 0x64, 0x61, 0x74, 0x61, 0x2e,
	0x49, 0x74, 0x65, 0x6d, 0x52, 0x04, 0x69, 0x74, 0x65, 0x6d, 0x12, 0x1f, 0x0a, 0x0b, 0x70, 0x75,
	0x6c, 0x6c, 0x5f, 0x6d, 0x69, 0x6c, 0x6c, 0x69, 0x73, 0x18, 0x03, 0x20, 0x01, 0x28, 0x03, 0x52,
	0x0a, 0x70, 0x75, 0x6c, 0x6c, 0x4d, 0x69, 0x6c, 0x6c, 0x69, 0x73, 0x12, 0x22, 0x0a, 0x0d, 0x69,
	0x66, 0x5f, 0x6e, 0x6f, 0x74, 0x5f, 0x65, 0x78, 0x69, 0x73, 0x74, 0x73, 0x18, 0x04, 0x20, 0x01,
	0x28, 0x08, 0x52, 0x0b, 0x69, 0x66, 0x4e, 0x6f, 0x74, 0x45, 0x78, 0x69, 0x73, 0x74, 0x73, 0x22,
	0x50, 0x0a, 0x0d, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74,
	0x12, 0x1f, 0x0a, 0x0b, 0x71, 0x75, 0x65, 0x75, 0x65, 0x73, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0a, 0x71, 0x75, 0x65, 0x75, 0x65, 0x73, 0x4e, 0x61, 0x6d,
	0x65, 0x12, 0x1e, 0x0a, 0x04, 0x69, 0x74, 0x65, 0x6d, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32,
	0x0a, 0x2e, 0x64, 0x61, 0x74, 0x61, 0x2e, 0x49, 0x74, 0x65, 0x6d, 0x52, 0x04, 0x69, 0x74, 0x65,
	0x6d, 0x32, 0x8b, 0x01, 0x0a, 0x08, 0x4f, 0x70, 0x65, 0x72, 0x61, 0x74, 0x6f, 0x72, 0x12, 0x29,
	0x0a, 0x04, 0x50, 0x75, 0x6c, 0x6c, 0x12, 0x13, 0x2e, 0x71, 0x75, 0x65, 0x75, 0x65, 0x73, 0x2e,
	0x50, 0x75, 0x6c, 0x6c, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x0a, 0x2e, 0x64, 0x61,
	0x74, 0x61, 0x2e, 0x49, 0x74, 0x65, 0x6d, 0x30, 0x01, 0x12, 0x27, 0x0a, 0x04, 0x50, 0x75, 0x73,
	0x68, 0x12, 0x13, 0x2e, 0x71, 0x75, 0x65, 0x75, 0x65, 0x73, 0x2e, 0x50, 0x75, 0x73, 0x68, 0x52,
	0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x0a, 0x2e, 0x64, 0x61, 0x74, 0x61, 0x2e, 0x49, 0x74,
	0x65, 0x6d, 0x12, 0x2b, 0x0a, 0x06, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x12, 0x15, 0x2e, 0x71,
	0x75, 0x65, 0x75, 0x65, 0x73, 0x2e, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x52, 0x65, 0x71, 0x75,
	0x65, 0x73, 0x74, 0x1a, 0x0a, 0x2e, 0x64, 0x61, 0x74, 0x61, 0x2e, 0x49, 0x74, 0x65, 0x6d, 0x42,
	0x37, 0x5a, 0x35, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x73, 0x6b,
	0x6c, 0x6c, 0x7a, 0x7a, 0x2f, 0x6a, 0x6d, 0x6f, 0x74, 0x2f, 0x67, 0x6f, 0x6a, 0x6d, 0x6f, 0x74,
	0x2d, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x2f, 0x70, 0x62, 0x2f, 0x6b, 0x65, 0x65, 0x70, 0x65,
	0x72, 0x2f, 0x71, 0x75, 0x65, 0x75, 0x65, 0x73, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_queues_queues_service_proto_rawDescOnce sync.Once
	file_queues_queues_service_proto_rawDescData = file_queues_queues_service_proto_rawDesc
)

func file_queues_queues_service_proto_rawDescGZIP() []byte {
	file_queues_queues_service_proto_rawDescOnce.Do(func() {
		file_queues_queues_service_proto_rawDescData = protoimpl.X.CompressGZIP(file_queues_queues_service_proto_rawDescData)
	})
	return file_queues_queues_service_proto_rawDescData
}

var file_queues_queues_service_proto_msgTypes = make([]protoimpl.MessageInfo, 3)
var file_queues_queues_service_proto_goTypes = []interface{}{
	(*PullRequest)(nil),     // 0: queues.PullRequest
	(*PushRequest)(nil),     // 1: queues.PushRequest
	(*DeleteRequest)(nil),   // 2: queues.DeleteRequest
	(*data.EpochRange)(nil), // 3: data.EpochRange
	(*data.Item)(nil),       // 4: data.Item
}
var file_queues_queues_service_proto_depIdxs = []int32{
	3, // 0: queues.PullRequest.range:type_name -> data.EpochRange
	4, // 1: queues.PushRequest.item:type_name -> data.Item
	4, // 2: queues.DeleteRequest.item:type_name -> data.Item
	0, // 3: queues.Operator.Pull:input_type -> queues.PullRequest
	1, // 4: queues.Operator.Push:input_type -> queues.PushRequest
	2, // 5: queues.Operator.Delete:input_type -> queues.DeleteRequest
	4, // 6: queues.Operator.Pull:output_type -> data.Item
	4, // 7: queues.Operator.Push:output_type -> data.Item
	4, // 8: queues.Operator.Delete:output_type -> data.Item
	6, // [6:9] is the sub-list for method output_type
	3, // [3:6] is the sub-list for method input_type
	3, // [3:3] is the sub-list for extension type_name
	3, // [3:3] is the sub-list for extension extendee
	0, // [0:3] is the sub-list for field type_name
}

func init() { file_queues_queues_service_proto_init() }
func file_queues_queues_service_proto_init() {
	if File_queues_queues_service_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_queues_queues_service_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*PullRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_queues_queues_service_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*PushRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_queues_queues_service_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DeleteRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_queues_queues_service_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   3,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_queues_queues_service_proto_goTypes,
		DependencyIndexes: file_queues_queues_service_proto_depIdxs,
		MessageInfos:      file_queues_queues_service_proto_msgTypes,
	}.Build()
	File_queues_queues_service_proto = out.File
	file_queues_queues_service_proto_rawDesc = nil
	file_queues_queues_service_proto_goTypes = nil
	file_queues_queues_service_proto_depIdxs = nil
}
